@tool
extends Control

var editor_file_dialog: EditorFileDialog

@onready var label: Label = $V/Label
@onready var file_dialog: FileDialog = $V/ShowFileDialog/FileDialog


func _ready() -> void:
	if Engine.is_editor_hint():
		editor_file_dialog = EditorFileDialog.new()
		editor_file_dialog.file_mode = EditorFileDialog.FILE_MODE_OPEN_FILE
		editor_file_dialog.access = EditorFileDialog.ACCESS_RESOURCES
		editor_file_dialog.file_selected.connect(_on_file_selected)
		add_child(editor_file_dialog)
	else:
		$V/ShowEditorFileDialog.hide()


func _on_show_editor_file_dialog_pressed() -> void:
	editor_file_dialog.popup_file_dialog()


func _on_show_file_dialog_pressed() -> void:
	file_dialog.popup_centered()


func _on_file_selected(path: String) -> void:
	label.text = tr("You just selected: %s") % path


func _on_check_button_toggled(toggled_on: bool) -> void:
	var domain := TranslationServer.get_or_add_domain(get_translation_domain())
	domain.pseudolocalization_enabled = toggled_on
	propagate_notification(NOTIFICATION_TRANSLATION_CHANGED)
